## xrdialog 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(xrdialog VERSION 0.2.0 LANGUAGES CXX)

# C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Auto-generate MOC and QRC
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# Find ECM
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# KDE modules
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Find Qt6
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Quick
    Qml
    LinguistTools
)

# Find KF6
find_package(KF6 REQUIRED COMPONENTS
    I18n
)

# Build executable
add_executable(xrdialog
    src/main.cpp
    src/configmanager.cpp
    src/configmanager.h
    src/invoiceoperations.cpp
    src/invoiceoperations.h
    src/pdfprocessor.cpp
    src/pdfprocessor.h
    src/checksumgenerator.cpp
    src/checksumgenerator.h
    src/workflowlogger.cpp
    src/workflowlogger.h
    src/thumbnailgenerator.cpp
    src/thumbnailgenerator.h
    resources.qrc
)

# Link libraries
target_link_libraries(xrdialog
    Qt6::Core
    Qt6::Gui
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
)

# Pass version to code
target_compile_definitions(xrdialog PRIVATE APP_VERSION="${PROJECT_VERSION}")

# Translations - !FIXME! Direct import?
find_program(MSGFMT_EXECUTABLE msgfmt)
if(MSGFMT_EXECUTABLE)
    file(GLOB PO_FILES "${CMAKE_CURRENT_SOURCE_DIR}/po/*/xrdialog.po")
    foreach(PO_FILE ${PO_FILES})
        get_filename_component(LANG_DIR ${PO_FILE} DIRECTORY)
        get_filename_component(LANG ${LANG_DIR} NAME)
        set(MO_FILE "${CMAKE_CURRENT_BINARY_DIR}/locale/${LANG}/LC_MESSAGES/xrdialog.mo")
        add_custom_command(
            OUTPUT ${MO_FILE}
            COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/locale/${LANG}/LC_MESSAGES"
            COMMAND ${MSGFMT_EXECUTABLE} -o ${MO_FILE} ${PO_FILE}
            DEPENDS ${PO_FILE}
            COMMENT "Compiling ${LANG} translation"
        )
        list(APPEND MO_FILES ${MO_FILE})
        install(FILES ${MO_FILE}
                DESTINATION ${KDE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    endforeach()
    add_custom_target(translations ALL DEPENDS ${MO_FILES})
endif()

# Install
install(TARGETS xrdialog ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES de.treuchtlingen.xrdialog.desktop DESTINATION ${KDE_INSTALL_APPDIR})

# Install example documentation - if not updated, the examples will run into problems in future
install(FILES
    doc/example/config
    doc/example/secret
    doc/example/haushaltsstellen.csv
    DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/xrdialog/example
)

# Install help documentation
install(FILES
    doc/help/help_de.md
    DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/xrdialog/help
)

=== debian/changelog ===
xrdialog (0.2.0-1) trixie; urgency=medium

  [ Sebastian Mogl ]
  * Added example secret configuration
  * Remove CI test files
  * Add CI for package building
  * Add missing dependencies for CI build
  * Fix upload artifact action
  * Rename desktop file to use out own namespace and add application/en16931+xml as mimetype to open.
  * removed qt-linguist as dependency.

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 26 Jan 2026 12:28:04 +0100

xrdialog (0.1.0-1) trixie; urgency=medium

  * Initial release

 -- Heinz Graesing <heinz-m.graesin@treuchtlingen.de>  Sat, 11 Jan 2026 15:30:00 +0100

## xrdialog 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.2.0 LANGUAGES CXX)
+project(xrdialog VERSION 0.3.0 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
xrdialog (0.3.0-1) trixie; urgency=medium

  * Update to Version 0.3-0-1 - "finally editable" 	changed:       CMakeLists.txt 	chnaged:       po/de/xrdialog.po

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:12:43 +0100

xrdialog (0.2.0-2) trixie; urgency=medium

  [ Heinz-M. Graesing ]
  * new release 0.2.0-1 	changed:       CMakeLists.txt 	changed:       po/de/xrdialog.po
  * changed size of thumbnails (higher resolution) 	changed:       src/thumbnailgenerator.cpp
  * seperation of processing and data section of .directory file 	changed:       src/invoiceoperations.cpp
  * first try of nuew build instructions (ci based) 	changed:       README.md
  * corrected verion of README.md pushed 	changed:       README.md
  * added git animation of xrdialog 	new:     doc/screenshots/xrdialog.gif
  * added build_deb.sh execution 	chaned:       README.md
  * added Text to Open File Dialog, added Versioning description to README.md 	changed:       README.md 	changed:       qml/main.qml
  * it's now possible to edit already created invoices and get the data placed into the form 	changed:       src/invoiceoperations.cpp 	changed:       src/invoiceoperations.h
  * fixed log writing in case of invoice editing 	changed:       src/workflowlogger.cpp 	changed:       src/workflowlogger.h

  [ h1 ]
  * README.md aktualisiert

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 07:55:22 +0100

## xrdialog 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.3.0 LANGUAGES CXX)
+project(xrdialog VERSION 0.3.3 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
xrdialog (0.3.3-1) trixie; urgency=medium

  * Fixed ISSUE with filenames containing slashes "/" "\" 	changed:       qml/main.qml 	changed:       src/invoiceoperations.cpp
  * Version VERSION 0.3.3 (No Slash Order)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:58:17 +0100

xrdialog (0.3.0-2) trixie; urgency=medium

  * Bugfix replace(" ", "_") -> (" ", "-") to avoid additional "_" chars in filenames FIXME: should be fixed in frontend **TOO** 	changed:       src/invoiceoperations.cpp

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:30:10 +0100

## xrdialog 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.3.3 LANGUAGES CXX)
+project(xrdialog VERSION 0.3.5 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
xrdialog (0.3.5-2) trixie; urgency=medium

  * changed to new standard based .directory format

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Fri, 30 Jan 2026 08:31:33 +0100

xrdialog (0.3.5-1) trixie; urgency=medium

  * changed to specification based .directory entries

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Fri, 30 Jan 2026 08:27:42 +0100

## xrdialog 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.3.5 LANGUAGES CXX)
+project(xrdialog VERSION 0.6.0 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
xrdialog (0.6.0-2) trixie; urgency=medium

  * nex try

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:29:05 +0100

xrdialog (0.6.0-1) trixie; urgency=medium

  * new version 0.6.0-1 (new try)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:20:32 +0100

xrdialog (0.3.4-0) trixie; urgency=medium

  * new release 0.4.0...

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:13:25 +0100

xrdialog (0.3.5-12) trixie; urgency=medium

  * removed comment

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:04:04 +0100

xrdialog (0.3.5-11) trixie; urgency=medium

  [ Heinz-M. Graesing ]
  * added bert to build.yaml for test results
  * removed Bert
  * added gettext
  * push after rebase

  [ Sebastian Mogl ]
  * Empty test commit
  * Roll back the build.yaml to 637ebe059f5796a38fa3c30b23ef99ed2266120b
  * Add the optionto trigger CI build by hand

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 13:56:15 +0100

xrdialog (0.3.5-10) trixie; urgency=medium

  * added translation dependencies to build.yaml

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 08:08:17 +0100

xrdialog (0.3.5-9) trixie; urgency=medium

  * fixed logging cancelled invoice comment
  * new release 0.3.9 (better cancelled support)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 04 Feb 2026 05:17:21 +0100

xrdialog (0.3.5-8) trixie; urgency=medium

  * new version due to update_deb_changelog.sh probmlems

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:41:11 +0100

xrdialog (0.3.5-7) trixie; urgency=medium

  * new version: 0.3.7 (now first version of invoice cancellation)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:33:58 +0100

xrdialog (0.3.5-6) trixie; urgency=medium

  * new version 0.3.6 - fixed rename issue (not able anymore to rename foldername untile a better solution is found)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:01:43 +0100

## xrdialog 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.6.0 LANGUAGES CXX)
+project(xrdialog VERSION 0.6.1 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
xrdialog (0.6.1-0) trixie; urgency=medium

  * making it possible to overriede test on existing invoice id
  * override of invoice check now only possible in create mode

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 09 Feb 2026 07:41:50 +0100

=== debian/control ===
Source: xrdialog
Section: utils
Priority: optional
Maintainer: Heinz Graesing <heinz-m.graesing@treuchtlingen.de>
Build-Depends: debhelper-compat (= 13),
	build-essential,
	cmake (>= 3.16),
	pkg-config,
	extra-cmake-modules,
	qt6-tools-dev,
	qt6-base-dev,
	qt6-declarative-dev,
	libkf6i18n-dev,
	kirigami2-dev
Standards-Version: 4.6.2
Homepage: https://www.treuchtlingen.stadt/xrdialog

Package: xrdialog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	pdftk-java | pdftk,
	ghostscript,
	ocrmypdf,
	tesseract-ocr-eng,
	tesseract-ocr-deu
Description: Invoice metadata dialog for structured directory creation

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

override_dh_auto_install:
	dh_auto_install --destdir=debian/xrdialog
